<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;

use FOS\UserBundle\Model\Group as BaseGroup;

/**
 * UBV\SurUbvBundle\Entity\Grupo
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\GrupoRepository")
 * @ORM\Table(name="grupo", uniqueConstraints={@ORM\UniqueConstraint(name="id_grupo_UNIQUE", columns={"id"})})
 */
class Grupo extends BaseGroup
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="IDENTITY")
     * @ORM\SequenceGenerator(sequenceName="grupo_id_seq", allocationSize=1, initialValue=1)
     */
    protected $id;
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }
    
    public function __toString()
    {
        return $this->name;
    }
}
