<?php

namespace UBV\SurUbvBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * UBV\SurUbvBundle\Entity\Competencia
 *
 * @ORM\Entity(repositoryClass="UBV\SurUbvBundle\Entity\CompetenciaRepository")
 * @ORM\Table(name="competencia", indexes={@ORM\Index(name="fk_malla_curricular_detalle_has_prueba1_idx", columns={"malla_curricular_detalle_id1"}), @ORM\Index(name="fk_malla_curricular_detalle_has_prueba2_idx1", columns={"malla_curricular_detalle_id"})})
 */
class Competencia
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     */
    protected $malla_curricular_detalle_id;

    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     */
    protected $malla_curricular_detalle_id1;

    /**
     * @ORM\ManyToOne(targetEntity="MallaCurricularDetalle", inversedBy="competenciaRelatedByMallaCurricularDetalleIds")
     * @ORM\JoinColumn(name="malla_curricular_detalle_id", referencedColumnName="id", nullable=false)
     */
    protected $mallaCurricularDetalleRelatedByMallaCurricularDetalleId;

    /**
     * @ORM\ManyToOne(targetEntity="MallaCurricularDetalle", inversedBy="competenciaRelatedByMallaCurricularDetalleId1s")
     * @ORM\JoinColumn(name="malla_curricular_detalle_id1", referencedColumnName="id", nullable=false)
     */
    protected $mallaCurricularDetalleRelatedByMallaCurricularDetalleId1;

    public function __construct()
    {
    }

    public function __sleep()
    {
        return array('malla_curricular_detalle_id', 'malla_curricular_detalle_id1');
    }

    /**
     * Set malla_curricular_detalle_id
     *
     * @param integer $mallaCurricularDetalleId
     * @return Competencia
     */
    public function setMallaCurricularDetalleId($mallaCurricularDetalleId)
    {
        $this->malla_curricular_detalle_id = $mallaCurricularDetalleId;

        return $this;
    }

    /**
     * Get malla_curricular_detalle_id
     *
     * @return integer 
     */
    public function getMallaCurricularDetalleId()
    {
        return $this->malla_curricular_detalle_id;
    }

    /**
     * Set malla_curricular_detalle_id1
     *
     * @param integer $mallaCurricularDetalleId1
     * @return Competencia
     */
    public function setMallaCurricularDetalleId1($mallaCurricularDetalleId1)
    {
        $this->malla_curricular_detalle_id1 = $mallaCurricularDetalleId1;

        return $this;
    }

    /**
     * Get malla_curricular_detalle_id1
     *
     * @return integer 
     */
    public function getMallaCurricularDetalleId1()
    {
        return $this->malla_curricular_detalle_id1;
    }

    /**
     * Set mallaCurricularDetalleRelatedByMallaCurricularDetalleId
     *
     * @param \UBV\SurUbvBundle\Entity\MallaCurricularDetalle $mallaCurricularDetalleRelatedByMallaCurricularDetalleId
     * @return Competencia
     */
    public function setMallaCurricularDetalleRelatedByMallaCurricularDetalleId(\UBV\SurUbvBundle\Entity\MallaCurricularDetalle $mallaCurricularDetalleRelatedByMallaCurricularDetalleId)
    {
        $this->mallaCurricularDetalleRelatedByMallaCurricularDetalleId = $mallaCurricularDetalleRelatedByMallaCurricularDetalleId;

        return $this;
    }

    /**
     * Get mallaCurricularDetalleRelatedByMallaCurricularDetalleId
     *
     * @return \UBV\SurUbvBundle\Entity\MallaCurricularDetalle 
     */
    public function getMallaCurricularDetalleRelatedByMallaCurricularDetalleId()
    {
        return $this->mallaCurricularDetalleRelatedByMallaCurricularDetalleId;
    }

    /**
     * Set mallaCurricularDetalleRelatedByMallaCurricularDetalleId1
     *
     * @param \UBV\SurUbvBundle\Entity\MallaCurricularDetalle $mallaCurricularDetalleRelatedByMallaCurricularDetalleId1
     * @return Competencia
     */
    public function setMallaCurricularDetalleRelatedByMallaCurricularDetalleId1(\UBV\SurUbvBundle\Entity\MallaCurricularDetalle $mallaCurricularDetalleRelatedByMallaCurricularDetalleId1)
    {
        $this->mallaCurricularDetalleRelatedByMallaCurricularDetalleId1 = $mallaCurricularDetalleRelatedByMallaCurricularDetalleId1;

        return $this;
    }

    /**
     * Get mallaCurricularDetalleRelatedByMallaCurricularDetalleId1
     *
     * @return \UBV\SurUbvBundle\Entity\MallaCurricularDetalle 
     */
    public function getMallaCurricularDetalleRelatedByMallaCurricularDetalleId1()
    {
        return $this->mallaCurricularDetalleRelatedByMallaCurricularDetalleId1;
    }
}
